Bug 461432 - Review Request: clutter-gtkmm - C++ wrapper for clutter-gtk library
Review Request: clutter-gtkmm - C++ wrapper for clutter-gtk library
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-09-07 18:40 EDT by Denis Leroy
Modified: 2008-09-23 03:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-23 03:00:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2008-09-07 18:40:22 EDT
Spec URL: http://www.poolshark.org/src/clutter-gtkmm.spec
SRPM URL: http://www.poolshark.org/src/clutter-gtkmm-0.7.2-1.fc10.src.rpm

clutter-gtkmm is a C++ wrapper library for clutter-gtk: a library that
allows clutter to be embedded in GTK applications. Clutter is an
OpenGL-based library for creating fast, visually rich and animated
graphical user interfaces.

Notes to reviewer: this library used to be packaged as part of cluttermm, but
was recently forked from the cluttermm tarball (along with clutter-cairomm), to
match the same subpackages as the corresponding C libraries (clutter,
clutter-cairo and clutter-gtk).
Comment 1 Mamoru TASAKA 2008-09-12 08:07:28 EDT
Successful sratch build:

Some notes:

! Timestamps
  - Same as clutter-cairomm review request, please consider
    to add 'INSTALL="install -p"' to 'make install' to keep
    timestamps on installed files.

! Documents
  - Maybe some files under examples/ can be added to %doc
    of -devel subpackage?

! About cluttermm-devel
  - Well, currently cluttermm-devel Requires gtkmm24-devel,
    however would you recheck the Requires of cluttermm-devel?
    Perhaps during "this" split Requires seems changed.

    Now cluttermm-devel Requires "glibmm24-devel pangomm-devel
    clutter-devel", however does not seem to Require
    gtkmm24-devel any longer.

   This package (clutter-gtkmm) is APPROVED by mtasaka
Comment 2 Denis Leroy 2008-09-14 05:15:41 EDT
thanks, will make the requested changes.

New Package CVS Request
Package Name: clutter-gtkmm
Short Description: C++ wrapper for clutter-gtk library
Owners: denis
Branches: F-9
Comment 3 Kevin Fenzi 2008-09-14 18:29:42 EDT
cvs done.
Comment 4 Mamoru TASAKA 2008-09-18 14:36:36 EDT
Can I close this bug?
Comment 5 Denis Leroy 2008-09-23 03:00:18 EDT
Mamoru-san, thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.